# Manual do Utilizador do &kde;

&Lauri.Watts;&Lauri.Watts.mail;
&Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;
2009-09-10
2.13 (&kde; 4.3.1)
Ambiente de Trabalho K
ark
1

# `ark`

Ferramenta de arquivo do &kde;

    ark -b -a -e -c -f  sufixo -p -t  ficheiro -d -o  pasta Opções Genéricas do &kde; Opções Genéricas do &Qt;

## Descrição

O &kappname; é um programa para gerir vários formatos de pacotes no ambiente do &kde;. Os pacotes podem ser vistos, extraídos, criados e modificados dentro do &kappname;. O programa poderá lidar com vários formatos como o tar, o gzip, o bzip2, o zip, o rar e o lha (se estiverem instalados os programas da linha de comandos apropriados).

## Modos de operação

O &ark; tanto pode ser usado como uma &GUI; independente ou como um programa da linha de comandos para efectuar algumas tarefas específicas.

Se for invocado sem as opções -b (--batch) ou -c (--add), o &ark; é iniciado como um programa &GUI; normal.

Quando for usada a opção -b (--batch), o &ark; pode ser usado para extrair directamente o conteúdo de um ou mais ficheiros a partir da linha de comandos, sem invocar a sua &GUI;.

Quando é usada a opção -c (--add), o &ark; pede os ficheiros que deverão ser adicionados a um novo pacote ou a um pacote existente.

## Opções

`-d, --dialog`

  Mostrar uma janela para indicar as opções numa operação em lote ou de adição.

`-o, --destination pasta`

  Por omissão, usar a pasta de extracção pasta. Se não for indicada, é usada a pasta actual.

### Opções para adicionar ficheiros

`-c, --add`

  Pedir ao utilizador um nome de pacote e adicionar ficheiros a ele. Sair quando terminar.

`-t, --add-to ficheiro`

  Adicionar os ficheiros indicados ao ficheiro. Criar o pacote se não existir. Sair quando terminar.

`-p, --changetofirstpath`

  Muda a pasta actual para o primeiro item e adiciona todos os outros itens em relação a esta.

`-f, --autofilename sufixo`

  Escolhe adicionalmente um nome de ficheiro, usando o sufixo seleccionado (por exemplo rar, tar.gz, zip ou outro tipo suportado qualquer).

### Opções para a extracção em lote

`b, --batch`

  Usar a interface em lote, em vez da janela normal. Esta opção está implícita se indicar mais de um URL.

`-e, --autodestination`

  O argumento de destino será configurado com o local do primeiro ficheiro indicado.

`-a, --autosubfolder`

  O conteúdo do pacote será lido e, se se detectar que não é um pacote com apenas uma pasta, será criada uma sub-pasta com o nome do pacote.

## Exemplos

``ark` `--batch` pacote.tar.bz2`

  Irá extrair o pacote.tar.bz2 para a pasta actual sem mostrar qualquer &GUI;.

``ark` `-b` `-d` pacote.tar.bz2 pacote2.zip`

  Irá mostrar em primeiro lugar uma janela de opções de extracção e irá então extrair tanto o pacote.tar.bz2 como o pacote2.zip para a pasta escolhida na janela.

``ark` `--add-to` o-meu-pacote.zip fotografia1.jpg texto.txt`

  Irá criar o ficheiro o-meu-pacote.zip, se não existir, e irá adicionar depois o fotografia1.jpg e texto.txt a ele.

## Autores

&ark; is currently maintained by &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Esta página do manual foi escrita primeiro por &Lauri.Watts; &Lauri.Watts.mail; em 2005 para o &kde; 3.4, sendo depois actualizada em 2009 por &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.